Index: XIOS/trunk/src/interface/fortran_attr/idomaingroup_attr.F90
===================================================================
--- XIOS/trunk/src/interface/fortran_attr/idomaingroup_attr.F90	(revision 2109)
+++ XIOS/trunk/src/interface/fortran_attr/idomaingroup_attr.F90	(revision 2131)
@@ -16,5 +16,7 @@
     , data_nj, dim_i_name, dim_j_name, domain_ref, group_ref, i_index, ibegin, j_index, jbegin, lat_name  &
     , latvalue_1d, latvalue_2d, lon_name, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d  &
-    , name, ni, ni_glo, nj, nj_glo, nvertex, prec, radius, standard_name, type )
+    , name, ni, ni_glo, nj, nj_glo, ntiles, nvertex, prec, radius, standard_name, tile_data_ibegin  &
+    , tile_data_jbegin, tile_data_ni, tile_data_nj, tile_ibegin, tile_jbegin, tile_ni, tile_nj, type  &
+     )
 
     IMPLICIT NONE
@@ -60,8 +62,17 @@
       INTEGER  , OPTIONAL, INTENT(IN) :: nj
       INTEGER  , OPTIONAL, INTENT(IN) :: nj_glo
+      INTEGER  , OPTIONAL, INTENT(IN) :: ntiles
       INTEGER  , OPTIONAL, INTENT(IN) :: nvertex
       INTEGER  , OPTIONAL, INTENT(IN) :: prec
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: radius
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: standard_name
+      INTEGER  , OPTIONAL, INTENT(IN) :: tile_data_ibegin(:)
+      INTEGER  , OPTIONAL, INTENT(IN) :: tile_data_jbegin(:)
+      INTEGER  , OPTIONAL, INTENT(IN) :: tile_data_ni(:)
+      INTEGER  , OPTIONAL, INTENT(IN) :: tile_data_nj(:)
+      INTEGER  , OPTIONAL, INTENT(IN) :: tile_ibegin(:)
+      INTEGER  , OPTIONAL, INTENT(IN) :: tile_jbegin(:)
+      INTEGER  , OPTIONAL, INTENT(IN) :: tile_ni(:)
+      INTEGER  , OPTIONAL, INTENT(IN) :: tile_nj(:)
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type
 
@@ -73,5 +84,7 @@
       , data_nj, dim_i_name, dim_j_name, domain_ref, group_ref, i_index, ibegin, j_index, jbegin, lat_name  &
       , latvalue_1d, latvalue_2d, lon_name, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d  &
-      , name, ni, ni_glo, nj, nj_glo, nvertex, prec, radius, standard_name, type )
+      , name, ni, ni_glo, nj, nj_glo, ntiles, nvertex, prec, radius, standard_name, tile_data_ibegin  &
+      , tile_data_jbegin, tile_data_ni, tile_data_nj, tile_ibegin, tile_jbegin, tile_ni, tile_nj, type  &
+       )
 
   END SUBROUTINE xios(set_domaingroup_attr)
@@ -82,5 +95,7 @@
     , data_nj, dim_i_name, dim_j_name, domain_ref, group_ref, i_index, ibegin, j_index, jbegin, lat_name  &
     , latvalue_1d, latvalue_2d, lon_name, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d  &
-    , name, ni, ni_glo, nj, nj_glo, nvertex, prec, radius, standard_name, type )
+    , name, ni, ni_glo, nj, nj_glo, ntiles, nvertex, prec, radius, standard_name, tile_data_ibegin  &
+    , tile_data_jbegin, tile_data_ni, tile_data_nj, tile_ibegin, tile_jbegin, tile_ni, tile_nj, type  &
+     )
 
     IMPLICIT NONE
@@ -125,8 +140,17 @@
       INTEGER  , OPTIONAL, INTENT(IN) :: nj
       INTEGER  , OPTIONAL, INTENT(IN) :: nj_glo
+      INTEGER  , OPTIONAL, INTENT(IN) :: ntiles
       INTEGER  , OPTIONAL, INTENT(IN) :: nvertex
       INTEGER  , OPTIONAL, INTENT(IN) :: prec
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: radius
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: standard_name
+      INTEGER  , OPTIONAL, INTENT(IN) :: tile_data_ibegin(:)
+      INTEGER  , OPTIONAL, INTENT(IN) :: tile_data_jbegin(:)
+      INTEGER  , OPTIONAL, INTENT(IN) :: tile_data_ni(:)
+      INTEGER  , OPTIONAL, INTENT(IN) :: tile_data_nj(:)
+      INTEGER  , OPTIONAL, INTENT(IN) :: tile_ibegin(:)
+      INTEGER  , OPTIONAL, INTENT(IN) :: tile_jbegin(:)
+      INTEGER  , OPTIONAL, INTENT(IN) :: tile_ni(:)
+      INTEGER  , OPTIONAL, INTENT(IN) :: tile_nj(:)
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type
 
@@ -136,5 +160,7 @@
       , data_nj, dim_i_name, dim_j_name, domain_ref, group_ref, i_index, ibegin, j_index, jbegin, lat_name  &
       , latvalue_1d, latvalue_2d, lon_name, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d  &
-      , name, ni, ni_glo, nj, nj_glo, nvertex, prec, radius, standard_name, type )
+      , name, ni, ni_glo, nj, nj_glo, ntiles, nvertex, prec, radius, standard_name, tile_data_ibegin  &
+      , tile_data_jbegin, tile_data_ni, tile_data_nj, tile_ibegin, tile_jbegin, tile_ni, tile_nj, type  &
+       )
 
   END SUBROUTINE xios(set_domaingroup_attr_hdl)
@@ -145,6 +171,7 @@
     , data_ni_, data_nj_, dim_i_name_, dim_j_name_, domain_ref_, group_ref_, i_index_, ibegin_, j_index_  &
     , jbegin_, lat_name_, latvalue_1d_, latvalue_2d_, lon_name_, long_name_, lonvalue_1d_, lonvalue_2d_  &
-    , mask_1d_, mask_2d_, name_, ni_, ni_glo_, nj_, nj_glo_, nvertex_, prec_, radius_, standard_name_  &
-    , type_ )
+    , mask_1d_, mask_2d_, name_, ni_, ni_glo_, nj_, nj_glo_, ntiles_, nvertex_, prec_, radius_, standard_name_  &
+    , tile_data_ibegin_, tile_data_jbegin_, tile_data_ni_, tile_data_nj_, tile_ibegin_, tile_jbegin_  &
+    , tile_ni_, tile_nj_, type_ )
 
     IMPLICIT NONE
@@ -189,8 +216,17 @@
       INTEGER  , OPTIONAL, INTENT(IN) :: nj_
       INTEGER  , OPTIONAL, INTENT(IN) :: nj_glo_
+      INTEGER  , OPTIONAL, INTENT(IN) :: ntiles_
       INTEGER  , OPTIONAL, INTENT(IN) :: nvertex_
       INTEGER  , OPTIONAL, INTENT(IN) :: prec_
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: radius_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: standard_name_
+      INTEGER  , OPTIONAL, INTENT(IN) :: tile_data_ibegin_(:)
+      INTEGER  , OPTIONAL, INTENT(IN) :: tile_data_jbegin_(:)
+      INTEGER  , OPTIONAL, INTENT(IN) :: tile_data_ni_(:)
+      INTEGER  , OPTIONAL, INTENT(IN) :: tile_data_nj_(:)
+      INTEGER  , OPTIONAL, INTENT(IN) :: tile_ibegin_(:)
+      INTEGER  , OPTIONAL, INTENT(IN) :: tile_jbegin_(:)
+      INTEGER  , OPTIONAL, INTENT(IN) :: tile_ni_(:)
+      INTEGER  , OPTIONAL, INTENT(IN) :: tile_nj_(:)
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type_
 
@@ -384,4 +420,9 @@
       ENDIF
 
+      IF (PRESENT(ntiles_)) THEN
+        CALL cxios_set_domaingroup_ntiles &
+      (domaingroup_hdl%daddr, ntiles_)
+      ENDIF
+
       IF (PRESENT(nvertex_)) THEN
         CALL cxios_set_domaingroup_nvertex &
@@ -402,4 +443,44 @@
         CALL cxios_set_domaingroup_standard_name &
       (domaingroup_hdl%daddr, standard_name_, len(standard_name_))
+      ENDIF
+
+      IF (PRESENT(tile_data_ibegin_)) THEN
+        CALL cxios_set_domaingroup_tile_data_ibegin &
+      (domaingroup_hdl%daddr, tile_data_ibegin_, SHAPE(tile_data_ibegin_))
+      ENDIF
+
+      IF (PRESENT(tile_data_jbegin_)) THEN
+        CALL cxios_set_domaingroup_tile_data_jbegin &
+      (domaingroup_hdl%daddr, tile_data_jbegin_, SHAPE(tile_data_jbegin_))
+      ENDIF
+
+      IF (PRESENT(tile_data_ni_)) THEN
+        CALL cxios_set_domaingroup_tile_data_ni &
+      (domaingroup_hdl%daddr, tile_data_ni_, SHAPE(tile_data_ni_))
+      ENDIF
+
+      IF (PRESENT(tile_data_nj_)) THEN
+        CALL cxios_set_domaingroup_tile_data_nj &
+      (domaingroup_hdl%daddr, tile_data_nj_, SHAPE(tile_data_nj_))
+      ENDIF
+
+      IF (PRESENT(tile_ibegin_)) THEN
+        CALL cxios_set_domaingroup_tile_ibegin &
+      (domaingroup_hdl%daddr, tile_ibegin_, SHAPE(tile_ibegin_))
+      ENDIF
+
+      IF (PRESENT(tile_jbegin_)) THEN
+        CALL cxios_set_domaingroup_tile_jbegin &
+      (domaingroup_hdl%daddr, tile_jbegin_, SHAPE(tile_jbegin_))
+      ENDIF
+
+      IF (PRESENT(tile_ni_)) THEN
+        CALL cxios_set_domaingroup_tile_ni &
+      (domaingroup_hdl%daddr, tile_ni_, SHAPE(tile_ni_))
+      ENDIF
+
+      IF (PRESENT(tile_nj_)) THEN
+        CALL cxios_set_domaingroup_tile_nj &
+      (domaingroup_hdl%daddr, tile_nj_, SHAPE(tile_nj_))
       ENDIF
 
@@ -416,5 +497,7 @@
     , data_nj, dim_i_name, dim_j_name, domain_ref, group_ref, i_index, ibegin, j_index, jbegin, lat_name  &
     , latvalue_1d, latvalue_2d, lon_name, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d  &
-    , name, ni, ni_glo, nj, nj_glo, nvertex, prec, radius, standard_name, type )
+    , name, ni, ni_glo, nj, nj_glo, ntiles, nvertex, prec, radius, standard_name, tile_data_ibegin  &
+    , tile_data_jbegin, tile_data_ni, tile_data_nj, tile_ibegin, tile_jbegin, tile_ni, tile_nj, type  &
+     )
 
     IMPLICIT NONE
@@ -460,8 +543,17 @@
       INTEGER  , OPTIONAL, INTENT(OUT) :: nj
       INTEGER  , OPTIONAL, INTENT(OUT) :: nj_glo
+      INTEGER  , OPTIONAL, INTENT(OUT) :: ntiles
       INTEGER  , OPTIONAL, INTENT(OUT) :: nvertex
       INTEGER  , OPTIONAL, INTENT(OUT) :: prec
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: radius
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: standard_name
+      INTEGER  , OPTIONAL, INTENT(OUT) :: tile_data_ibegin(:)
+      INTEGER  , OPTIONAL, INTENT(OUT) :: tile_data_jbegin(:)
+      INTEGER  , OPTIONAL, INTENT(OUT) :: tile_data_ni(:)
+      INTEGER  , OPTIONAL, INTENT(OUT) :: tile_data_nj(:)
+      INTEGER  , OPTIONAL, INTENT(OUT) :: tile_ibegin(:)
+      INTEGER  , OPTIONAL, INTENT(OUT) :: tile_jbegin(:)
+      INTEGER  , OPTIONAL, INTENT(OUT) :: tile_ni(:)
+      INTEGER  , OPTIONAL, INTENT(OUT) :: tile_nj(:)
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type
 
@@ -473,5 +565,7 @@
       , data_nj, dim_i_name, dim_j_name, domain_ref, group_ref, i_index, ibegin, j_index, jbegin, lat_name  &
       , latvalue_1d, latvalue_2d, lon_name, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d  &
-      , name, ni, ni_glo, nj, nj_glo, nvertex, prec, radius, standard_name, type )
+      , name, ni, ni_glo, nj, nj_glo, ntiles, nvertex, prec, radius, standard_name, tile_data_ibegin  &
+      , tile_data_jbegin, tile_data_ni, tile_data_nj, tile_ibegin, tile_jbegin, tile_ni, tile_nj, type  &
+       )
 
   END SUBROUTINE xios(get_domaingroup_attr)
@@ -482,5 +576,7 @@
     , data_nj, dim_i_name, dim_j_name, domain_ref, group_ref, i_index, ibegin, j_index, jbegin, lat_name  &
     , latvalue_1d, latvalue_2d, lon_name, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d  &
-    , name, ni, ni_glo, nj, nj_glo, nvertex, prec, radius, standard_name, type )
+    , name, ni, ni_glo, nj, nj_glo, ntiles, nvertex, prec, radius, standard_name, tile_data_ibegin  &
+    , tile_data_jbegin, tile_data_ni, tile_data_nj, tile_ibegin, tile_jbegin, tile_ni, tile_nj, type  &
+     )
 
     IMPLICIT NONE
@@ -525,8 +621,17 @@
       INTEGER  , OPTIONAL, INTENT(OUT) :: nj
       INTEGER  , OPTIONAL, INTENT(OUT) :: nj_glo
+      INTEGER  , OPTIONAL, INTENT(OUT) :: ntiles
       INTEGER  , OPTIONAL, INTENT(OUT) :: nvertex
       INTEGER  , OPTIONAL, INTENT(OUT) :: prec
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: radius
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: standard_name
+      INTEGER  , OPTIONAL, INTENT(OUT) :: tile_data_ibegin(:)
+      INTEGER  , OPTIONAL, INTENT(OUT) :: tile_data_jbegin(:)
+      INTEGER  , OPTIONAL, INTENT(OUT) :: tile_data_ni(:)
+      INTEGER  , OPTIONAL, INTENT(OUT) :: tile_data_nj(:)
+      INTEGER  , OPTIONAL, INTENT(OUT) :: tile_ibegin(:)
+      INTEGER  , OPTIONAL, INTENT(OUT) :: tile_jbegin(:)
+      INTEGER  , OPTIONAL, INTENT(OUT) :: tile_ni(:)
+      INTEGER  , OPTIONAL, INTENT(OUT) :: tile_nj(:)
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type
 
@@ -536,5 +641,7 @@
       , data_nj, dim_i_name, dim_j_name, domain_ref, group_ref, i_index, ibegin, j_index, jbegin, lat_name  &
       , latvalue_1d, latvalue_2d, lon_name, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d  &
-      , name, ni, ni_glo, nj, nj_glo, nvertex, prec, radius, standard_name, type )
+      , name, ni, ni_glo, nj, nj_glo, ntiles, nvertex, prec, radius, standard_name, tile_data_ibegin  &
+      , tile_data_jbegin, tile_data_ni, tile_data_nj, tile_ibegin, tile_jbegin, tile_ni, tile_nj, type  &
+       )
 
   END SUBROUTINE xios(get_domaingroup_attr_hdl)
@@ -545,6 +652,7 @@
     , data_ni_, data_nj_, dim_i_name_, dim_j_name_, domain_ref_, group_ref_, i_index_, ibegin_, j_index_  &
     , jbegin_, lat_name_, latvalue_1d_, latvalue_2d_, lon_name_, long_name_, lonvalue_1d_, lonvalue_2d_  &
-    , mask_1d_, mask_2d_, name_, ni_, ni_glo_, nj_, nj_glo_, nvertex_, prec_, radius_, standard_name_  &
-    , type_ )
+    , mask_1d_, mask_2d_, name_, ni_, ni_glo_, nj_, nj_glo_, ntiles_, nvertex_, prec_, radius_, standard_name_  &
+    , tile_data_ibegin_, tile_data_jbegin_, tile_data_ni_, tile_data_nj_, tile_ibegin_, tile_jbegin_  &
+    , tile_ni_, tile_nj_, type_ )
 
     IMPLICIT NONE
@@ -589,8 +697,17 @@
       INTEGER  , OPTIONAL, INTENT(OUT) :: nj_
       INTEGER  , OPTIONAL, INTENT(OUT) :: nj_glo_
+      INTEGER  , OPTIONAL, INTENT(OUT) :: ntiles_
       INTEGER  , OPTIONAL, INTENT(OUT) :: nvertex_
       INTEGER  , OPTIONAL, INTENT(OUT) :: prec_
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: radius_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: standard_name_
+      INTEGER  , OPTIONAL, INTENT(OUT) :: tile_data_ibegin_(:)
+      INTEGER  , OPTIONAL, INTENT(OUT) :: tile_data_jbegin_(:)
+      INTEGER  , OPTIONAL, INTENT(OUT) :: tile_data_ni_(:)
+      INTEGER  , OPTIONAL, INTENT(OUT) :: tile_data_nj_(:)
+      INTEGER  , OPTIONAL, INTENT(OUT) :: tile_ibegin_(:)
+      INTEGER  , OPTIONAL, INTENT(OUT) :: tile_jbegin_(:)
+      INTEGER  , OPTIONAL, INTENT(OUT) :: tile_ni_(:)
+      INTEGER  , OPTIONAL, INTENT(OUT) :: tile_nj_(:)
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type_
 
@@ -784,4 +901,9 @@
       ENDIF
 
+      IF (PRESENT(ntiles_)) THEN
+        CALL cxios_get_domaingroup_ntiles &
+      (domaingroup_hdl%daddr, ntiles_)
+      ENDIF
+
       IF (PRESENT(nvertex_)) THEN
         CALL cxios_get_domaingroup_nvertex &
@@ -802,4 +924,44 @@
         CALL cxios_get_domaingroup_standard_name &
       (domaingroup_hdl%daddr, standard_name_, len(standard_name_))
+      ENDIF
+
+      IF (PRESENT(tile_data_ibegin_)) THEN
+        CALL cxios_get_domaingroup_tile_data_ibegin &
+      (domaingroup_hdl%daddr, tile_data_ibegin_, SHAPE(tile_data_ibegin_))
+      ENDIF
+
+      IF (PRESENT(tile_data_jbegin_)) THEN
+        CALL cxios_get_domaingroup_tile_data_jbegin &
+      (domaingroup_hdl%daddr, tile_data_jbegin_, SHAPE(tile_data_jbegin_))
+      ENDIF
+
+      IF (PRESENT(tile_data_ni_)) THEN
+        CALL cxios_get_domaingroup_tile_data_ni &
+      (domaingroup_hdl%daddr, tile_data_ni_, SHAPE(tile_data_ni_))
+      ENDIF
+
+      IF (PRESENT(tile_data_nj_)) THEN
+        CALL cxios_get_domaingroup_tile_data_nj &
+      (domaingroup_hdl%daddr, tile_data_nj_, SHAPE(tile_data_nj_))
+      ENDIF
+
+      IF (PRESENT(tile_ibegin_)) THEN
+        CALL cxios_get_domaingroup_tile_ibegin &
+      (domaingroup_hdl%daddr, tile_ibegin_, SHAPE(tile_ibegin_))
+      ENDIF
+
+      IF (PRESENT(tile_jbegin_)) THEN
+        CALL cxios_get_domaingroup_tile_jbegin &
+      (domaingroup_hdl%daddr, tile_jbegin_, SHAPE(tile_jbegin_))
+      ENDIF
+
+      IF (PRESENT(tile_ni_)) THEN
+        CALL cxios_get_domaingroup_tile_ni &
+      (domaingroup_hdl%daddr, tile_ni_, SHAPE(tile_ni_))
+      ENDIF
+
+      IF (PRESENT(tile_nj_)) THEN
+        CALL cxios_get_domaingroup_tile_nj &
+      (domaingroup_hdl%daddr, tile_nj_, SHAPE(tile_nj_))
       ENDIF
 
@@ -816,5 +978,7 @@
     , data_nj, dim_i_name, dim_j_name, domain_ref, group_ref, i_index, ibegin, j_index, jbegin, lat_name  &
     , latvalue_1d, latvalue_2d, lon_name, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d  &
-    , name, ni, ni_glo, nj, nj_glo, nvertex, prec, radius, standard_name, type )
+    , name, ni, ni_glo, nj, nj_glo, ntiles, nvertex, prec, radius, standard_name, tile_data_ibegin  &
+    , tile_data_jbegin, tile_data_ni, tile_data_nj, tile_ibegin, tile_jbegin, tile_ni, tile_nj, type  &
+     )
 
     IMPLICIT NONE
@@ -895,4 +1059,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: nj_glo
       LOGICAL(KIND=C_BOOL) :: nj_glo_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: ntiles
+      LOGICAL(KIND=C_BOOL) :: ntiles_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: nvertex
       LOGICAL(KIND=C_BOOL) :: nvertex_tmp
@@ -903,4 +1069,20 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: standard_name
       LOGICAL(KIND=C_BOOL) :: standard_name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: tile_data_ibegin
+      LOGICAL(KIND=C_BOOL) :: tile_data_ibegin_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: tile_data_jbegin
+      LOGICAL(KIND=C_BOOL) :: tile_data_jbegin_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: tile_data_ni
+      LOGICAL(KIND=C_BOOL) :: tile_data_ni_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: tile_data_nj
+      LOGICAL(KIND=C_BOOL) :: tile_data_nj_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: tile_ibegin
+      LOGICAL(KIND=C_BOOL) :: tile_ibegin_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: tile_jbegin
+      LOGICAL(KIND=C_BOOL) :: tile_jbegin_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: tile_ni
+      LOGICAL(KIND=C_BOOL) :: tile_ni_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: tile_nj
+      LOGICAL(KIND=C_BOOL) :: tile_nj_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: type
       LOGICAL(KIND=C_BOOL) :: type_tmp
@@ -913,5 +1095,7 @@
       , data_nj, dim_i_name, dim_j_name, domain_ref, group_ref, i_index, ibegin, j_index, jbegin, lat_name  &
       , latvalue_1d, latvalue_2d, lon_name, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d  &
-      , name, ni, ni_glo, nj, nj_glo, nvertex, prec, radius, standard_name, type )
+      , name, ni, ni_glo, nj, nj_glo, ntiles, nvertex, prec, radius, standard_name, tile_data_ibegin  &
+      , tile_data_jbegin, tile_data_ni, tile_data_nj, tile_ibegin, tile_jbegin, tile_ni, tile_nj, type  &
+       )
 
   END SUBROUTINE xios(is_defined_domaingroup_attr)
@@ -922,5 +1106,7 @@
     , data_nj, dim_i_name, dim_j_name, domain_ref, group_ref, i_index, ibegin, j_index, jbegin, lat_name  &
     , latvalue_1d, latvalue_2d, lon_name, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d  &
-    , name, ni, ni_glo, nj, nj_glo, nvertex, prec, radius, standard_name, type )
+    , name, ni, ni_glo, nj, nj_glo, ntiles, nvertex, prec, radius, standard_name, tile_data_ibegin  &
+    , tile_data_jbegin, tile_data_ni, tile_data_nj, tile_ibegin, tile_jbegin, tile_ni, tile_nj, type  &
+     )
 
     IMPLICIT NONE
@@ -1000,4 +1186,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: nj_glo
       LOGICAL(KIND=C_BOOL) :: nj_glo_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: ntiles
+      LOGICAL(KIND=C_BOOL) :: ntiles_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: nvertex
       LOGICAL(KIND=C_BOOL) :: nvertex_tmp
@@ -1008,4 +1196,20 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: standard_name
       LOGICAL(KIND=C_BOOL) :: standard_name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: tile_data_ibegin
+      LOGICAL(KIND=C_BOOL) :: tile_data_ibegin_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: tile_data_jbegin
+      LOGICAL(KIND=C_BOOL) :: tile_data_jbegin_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: tile_data_ni
+      LOGICAL(KIND=C_BOOL) :: tile_data_ni_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: tile_data_nj
+      LOGICAL(KIND=C_BOOL) :: tile_data_nj_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: tile_ibegin
+      LOGICAL(KIND=C_BOOL) :: tile_ibegin_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: tile_jbegin
+      LOGICAL(KIND=C_BOOL) :: tile_jbegin_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: tile_ni
+      LOGICAL(KIND=C_BOOL) :: tile_ni_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: tile_nj
+      LOGICAL(KIND=C_BOOL) :: tile_nj_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: type
       LOGICAL(KIND=C_BOOL) :: type_tmp
@@ -1016,5 +1220,7 @@
       , data_nj, dim_i_name, dim_j_name, domain_ref, group_ref, i_index, ibegin, j_index, jbegin, lat_name  &
       , latvalue_1d, latvalue_2d, lon_name, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d  &
-      , name, ni, ni_glo, nj, nj_glo, nvertex, prec, radius, standard_name, type )
+      , name, ni, ni_glo, nj, nj_glo, ntiles, nvertex, prec, radius, standard_name, tile_data_ibegin  &
+      , tile_data_jbegin, tile_data_ni, tile_data_nj, tile_ibegin, tile_jbegin, tile_ni, tile_nj, type  &
+       )
 
   END SUBROUTINE xios(is_defined_domaingroup_attr_hdl)
@@ -1025,6 +1231,7 @@
     , data_ni_, data_nj_, dim_i_name_, dim_j_name_, domain_ref_, group_ref_, i_index_, ibegin_, j_index_  &
     , jbegin_, lat_name_, latvalue_1d_, latvalue_2d_, lon_name_, long_name_, lonvalue_1d_, lonvalue_2d_  &
-    , mask_1d_, mask_2d_, name_, ni_, ni_glo_, nj_, nj_glo_, nvertex_, prec_, radius_, standard_name_  &
-    , type_ )
+    , mask_1d_, mask_2d_, name_, ni_, ni_glo_, nj_, nj_glo_, ntiles_, nvertex_, prec_, radius_, standard_name_  &
+    , tile_data_ibegin_, tile_data_jbegin_, tile_data_ni_, tile_data_nj_, tile_ibegin_, tile_jbegin_  &
+    , tile_ni_, tile_nj_, type_ )
 
     IMPLICIT NONE
@@ -1104,4 +1311,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: nj_glo_
       LOGICAL(KIND=C_BOOL) :: nj_glo__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: ntiles_
+      LOGICAL(KIND=C_BOOL) :: ntiles__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: nvertex_
       LOGICAL(KIND=C_BOOL) :: nvertex__tmp
@@ -1112,4 +1321,20 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: standard_name_
       LOGICAL(KIND=C_BOOL) :: standard_name__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: tile_data_ibegin_
+      LOGICAL(KIND=C_BOOL) :: tile_data_ibegin__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: tile_data_jbegin_
+      LOGICAL(KIND=C_BOOL) :: tile_data_jbegin__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: tile_data_ni_
+      LOGICAL(KIND=C_BOOL) :: tile_data_ni__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: tile_data_nj_
+      LOGICAL(KIND=C_BOOL) :: tile_data_nj__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: tile_ibegin_
+      LOGICAL(KIND=C_BOOL) :: tile_ibegin__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: tile_jbegin_
+      LOGICAL(KIND=C_BOOL) :: tile_jbegin__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: tile_ni_
+      LOGICAL(KIND=C_BOOL) :: tile_ni__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: tile_nj_
+      LOGICAL(KIND=C_BOOL) :: tile_nj__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: type_
       LOGICAL(KIND=C_BOOL) :: type__tmp
@@ -1337,4 +1562,10 @@
       ENDIF
 
+      IF (PRESENT(ntiles_)) THEN
+        ntiles__tmp = cxios_is_defined_domaingroup_ntiles &
+      (domaingroup_hdl%daddr)
+        ntiles_ = ntiles__tmp
+      ENDIF
+
       IF (PRESENT(nvertex_)) THEN
         nvertex__tmp = cxios_is_defined_domaingroup_nvertex &
@@ -1361,4 +1592,52 @@
       ENDIF
 
+      IF (PRESENT(tile_data_ibegin_)) THEN
+        tile_data_ibegin__tmp = cxios_is_defined_domaingroup_tile_data_ibegin &
+      (domaingroup_hdl%daddr)
+        tile_data_ibegin_ = tile_data_ibegin__tmp
+      ENDIF
+
+      IF (PRESENT(tile_data_jbegin_)) THEN
+        tile_data_jbegin__tmp = cxios_is_defined_domaingroup_tile_data_jbegin &
+      (domaingroup_hdl%daddr)
+        tile_data_jbegin_ = tile_data_jbegin__tmp
+      ENDIF
+
+      IF (PRESENT(tile_data_ni_)) THEN
+        tile_data_ni__tmp = cxios_is_defined_domaingroup_tile_data_ni &
+      (domaingroup_hdl%daddr)
+        tile_data_ni_ = tile_data_ni__tmp
+      ENDIF
+
+      IF (PRESENT(tile_data_nj_)) THEN
+        tile_data_nj__tmp = cxios_is_defined_domaingroup_tile_data_nj &
+      (domaingroup_hdl%daddr)
+        tile_data_nj_ = tile_data_nj__tmp
+      ENDIF
+
+      IF (PRESENT(tile_ibegin_)) THEN
+        tile_ibegin__tmp = cxios_is_defined_domaingroup_tile_ibegin &
+      (domaingroup_hdl%daddr)
+        tile_ibegin_ = tile_ibegin__tmp
+      ENDIF
+
+      IF (PRESENT(tile_jbegin_)) THEN
+        tile_jbegin__tmp = cxios_is_defined_domaingroup_tile_jbegin &
+      (domaingroup_hdl%daddr)
+        tile_jbegin_ = tile_jbegin__tmp
+      ENDIF
+
+      IF (PRESENT(tile_ni_)) THEN
+        tile_ni__tmp = cxios_is_defined_domaingroup_tile_ni &
+      (domaingroup_hdl%daddr)
+        tile_ni_ = tile_ni__tmp
+      ENDIF
+
+      IF (PRESENT(tile_nj_)) THEN
+        tile_nj__tmp = cxios_is_defined_domaingroup_tile_nj &
+      (domaingroup_hdl%daddr)
+        tile_nj_ = tile_nj__tmp
+      ENDIF
+
       IF (PRESENT(type_)) THEN
         type__tmp = cxios_is_defined_domaingroup_type &
Index: XIOS/trunk/src/node/domain.cpp
===================================================================
--- XIOS/trunk/src/node/domain.cpp	(revision 2109)
+++ XIOS/trunk/src/node/domain.cpp	(revision 2131)
@@ -35,4 +35,5 @@
       , clients(), hasLatInReadFile_(false), hasBoundsLatInReadFile_(false)
       , hasLonInReadFile_(false), hasBoundsLonInReadFile_(false)
+      , isTiled_(false), isTiledOnly_(false)
    {
    }
@@ -48,4 +49,5 @@
       , clients(), hasLatInReadFile_(false), hasBoundsLatInReadFile_(false)
       , hasLonInReadFile_(false), hasBoundsLonInReadFile_(false)
+      , isTiled_(false), isTiledOnly_(false)
    {
     }
@@ -246,4 +248,34 @@
    {
       return isCompressible_;
+   }
+   CATCH
+
+   bool CDomain::isTiled(void) const
+   TRY
+   {
+      return isTiled_;
+   }
+   CATCH
+
+   bool CDomain::isTiledOnly(void) const
+   TRY
+   {
+      return isTiledOnly_;
+   }
+   CATCH
+
+   int CDomain::getTileId(int i, int j) const
+   TRY
+   {
+     int tileId = 0;
+     bool stop = false;
+     while (!stop)
+     {
+       if ((i >= tile_ibegin(tileId) ) && (i < tile_ni(tileId)+tile_ibegin(tileId) )
+           && (j >= tile_jbegin(tileId) ) && (j < tile_nj(tileId)+tile_jbegin(tileId) ) )
+         stop = true;
+       ++tileId;
+     }
+     return (tileId - 1);
    }
    CATCH
@@ -1260,4 +1292,37 @@
         }
       }
+   }
+   CATCH_DUMP_ATTR
+
+   //----------------------------------------------------------------
+
+   /*!
+    * For tiled domains, data_i/j_index should not take into
+    * account parameters defining data (data_ni/nj, data_i/jbegin...)
+    * \param [out] dataIndexI
+    * \param [out] dataIndexJ
+    * \param [out] infoIndexI
+    * \param [out] infoIndexJ
+    */
+
+   void CDomain::computeCompressionTiled(CArray<int,1>& dataIndexI, CArray<int,1>& dataIndexJ,
+                                         CArray<int,1>& infoIndexI, CArray<int,1>& infoIndexJ)
+   TRY
+   {
+     const int dsize = ni * nj;
+     dataIndexI.resize(dsize);
+     dataIndexJ.resize(dsize);
+
+     dataIndexJ = 0;
+     for (int k = 0; k < ni * nj; ++k)
+       dataIndexI(k) = k;
+
+     infoIndexI.resize(ni*nj);
+     for (int j = 0; j < nj; ++j)
+       for (int i = 0; i < ni; ++i) infoIndexI(i+j*ni) = i+ibegin;
+
+     infoIndexJ.resize(ni*nj);
+     for (int j = 0; j < nj; ++j)
+       for (int i = 0; i < ni; ++i) infoIndexJ(i+j*ni) = j+jbegin;
    }
    CATCH_DUMP_ATTR
@@ -1723,4 +1788,86 @@
    CATCH_DUMP_ATTR
 
+   //----------------------------------------------------------------
+   void CDomain::checkTiles()
+   TRY
+   {
+     if (!ntiles.isEmpty() && ntiles.getValue() >=1) isTiled_ = true;
+     if (!tile_only.isEmpty() && tile_only.getValue() == true) {
+       isTiled_ = true;
+       isTiledOnly_ = true;
+     }
+
+     if (isTiled_)
+     {
+
+       // Attributes tile_ni/nj and tile_i/jbegin are mandatory for tiled domains
+       if (tile_ni.numElements() != ntiles || tile_ibegin.numElements() != ntiles)
+           ERROR("CDomain::checkTiles()",
+                 << "[ id = " << this->getId() << " , context = '" << CObjectFactory::GetCurrentContextId() << " ] "
+                 << "'tile_ni' or 'tile_ibegin' are ill defined: these attributes must be specified for tiled domains and be of the size 'ntiles'." << std::endl
+                 << "The number of tiles is  " << ntiles.getValue() << " while the size of 'tile_ni' is " << tile_ni.numElements() 
+                 << " and the size of 'tile_ibegin' is " << tile_ibegin.numElements() << ".");
+
+       if (tile_nj.numElements() != ntiles || tile_jbegin.numElements() != ntiles)
+           ERROR("CDomain::checkTiles()",
+                 << "[ id = " << this->getId() << " , context = '" << CObjectFactory::GetCurrentContextId() << " ] "
+                 << "'tile_nj' or 'tile_jbegin' are ill defined: these attributes must be specified for tiled domains and be of the size 'ntiles'." << std::endl
+                 << "The number of tiles is  " << ntiles.getValue() << " while the size of 'tile_nj' is " << tile_nj.numElements()
+                 << " and the size of 'tile_jbegin' is " << tile_jbegin.numElements() << ".");
+
+       // Check on consistency of individual tile sizes and local domain size
+       int sizeTiles = 0;
+       for (int iTile = 0; iTile < ntiles.getValue(); ++iTile)
+       {
+         sizeTiles += tile_ni(iTile) * tile_nj(iTile);
+       }
+       if (sizeTiles != (ni*nj))
+           ERROR("CDomain::checkTiles()",
+                 << "[ id = " << this->getId() << " , context = '" << CObjectFactory::GetCurrentContextId() << " ] "
+                 << "tiles should cover the entire local domain and cannot overlap." << std::endl << ".");
+
+
+       // Fill in tile_data_ni/nj and tile_data_i/jbegin if they are not specified
+       if (tile_data_ni.numElements() == 0 || tile_data_nj.numElements() == 0)
+       {
+         tile_data_ni.resize(ntiles);
+         tile_data_nj.resize(ntiles);
+         for (int iTile = 0; iTile < ntiles.getValue(); ++iTile)
+         {
+           tile_data_ni(iTile) = tile_ni(iTile);
+           tile_data_nj(iTile) = tile_nj(iTile);
+         }
+       }
+
+       if (tile_data_ibegin.numElements() == 0 || tile_data_jbegin.numElements() == 0)
+       {
+         tile_data_ibegin.resize(ntiles);
+         tile_data_jbegin.resize(ntiles);
+         tile_data_ibegin = 0;
+         tile_data_jbegin = 0;
+       }
+
+     } // isTiled_
+   }
+   CATCH_DUMP_ATTR
+
+   //----------------------------------------------------------------
+   int CDomain::getTileDataISize(int tileId) const
+   TRY
+   {
+     int retvalue = (tile_data_ni(tileId) > tile_ni(tileId)) ? tile_data_ni(tileId) : tile_ni(tileId);
+     return retvalue;
+   }
+   CATCH_DUMP_ATTR
+
+   //----------------------------------------------------------------
+   int CDomain::getTileDataJSize(int tileId) const
+   TRY
+   {
+     int retvalue = (tile_data_nj(tileId) > tile_nj(tileId)) ? tile_data_nj(tileId) : tile_nj(tileId);
+     return retvalue;
+   }
+   CATCH_DUMP_ATTR
+
    void CDomain::checkAttributesOnClientAfterTransformation()
    TRY
@@ -1756,4 +1903,5 @@
         this->checkArea();
         this->checkLonLat();
+        this->checkTiles();
       }
 
